source: Makefile.in @ 4cb935e

ADTaaron-thesisarm-ehast-experimentalcleanup-dtorsdeferred_resndemanglerenumforall-pointer-decayjacob/cs343-translationjenkins-sandboxnew-astnew-ast-unique-exprnew-envno_listpersistent-indexerpthread-emulationqualifiedEnumresolv-newwith_gc
Last change on this file since 4cb935e was 8e5724e, checked in by Thierry Delisle <tdelisle@…>, 7 years ago

Added the CFA_DEBUG flag and the libhdr folder to libcfa compilation.
Compilation now has an assambly compiler.
Added first assembly file to compiler.

  • Property mode set to 100644
File size: 23.3 KB
Line 
1# Makefile.in generated by automake 1.11.3 from Makefile.am.
2# @configure_input@
3
4# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
5# 2003, 2004, 2005, 2006, 2007, 2008, 2009, 2010, 2011 Free Software
6# Foundation, Inc.
7# This Makefile.in is free software; the Free Software Foundation
8# gives unlimited permission to copy and/or distribute it,
9# with or without modifications, as long as this notice is preserved.
10
11# This program is distributed in the hope that it will be useful,
12# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
13# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
14# PARTICULAR PURPOSE.
15
16@SET_MAKE@
17
18######################## -*- Mode: Makefile-Automake -*- ######################
19###############################################################################
20VPATH = @srcdir@
21pkgdatadir = $(datadir)/@PACKAGE@
22pkgincludedir = $(includedir)/@PACKAGE@
23pkglibdir = $(libdir)/@PACKAGE@
24pkglibexecdir = $(libexecdir)/@PACKAGE@
25am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
26install_sh_DATA = $(install_sh) -c -m 644
27install_sh_PROGRAM = $(install_sh) -c
28install_sh_SCRIPT = $(install_sh) -c
29INSTALL_HEADER = $(INSTALL_DATA)
30transform = $(program_transform_name)
31NORMAL_INSTALL = :
32PRE_INSTALL = :
33POST_INSTALL = :
34NORMAL_UNINSTALL = :
35PRE_UNINSTALL = :
36POST_UNINSTALL = :
37subdir = .
38DIST_COMMON = README $(am__configure_deps) $(srcdir)/Makefile.am \
39        $(srcdir)/Makefile.in $(srcdir)/config.h.in \
40        $(top_srcdir)/configure INSTALL automake/compile \
41        automake/depcomp automake/install-sh automake/missing \
42        automake/ylwrap
43ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
44am__aclocal_m4_deps = $(top_srcdir)/configure.ac
45am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
46        $(ACLOCAL_M4)
47am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
48 configure.lineno config.status.lineno
49mkinstalldirs = $(install_sh) -d
50CONFIG_HEADER = config.h
51CONFIG_CLEAN_FILES =
52CONFIG_CLEAN_VPATH_FILES =
53AM_V_GEN = $(am__v_GEN_@AM_V@)
54am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
55am__v_GEN_0 = @echo "  GEN   " $@;
56AM_V_at = $(am__v_at_@AM_V@)
57am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
58am__v_at_0 = @
59SOURCES =
60DIST_SOURCES =
61RECURSIVE_TARGETS = all-recursive check-recursive dvi-recursive \
62        html-recursive info-recursive install-data-recursive \
63        install-dvi-recursive install-exec-recursive \
64        install-html-recursive install-info-recursive \
65        install-pdf-recursive install-ps-recursive install-recursive \
66        installcheck-recursive installdirs-recursive pdf-recursive \
67        ps-recursive uninstall-recursive
68RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive \
69  distclean-recursive maintainer-clean-recursive
70AM_RECURSIVE_TARGETS = $(RECURSIVE_TARGETS:-recursive=) \
71        $(RECURSIVE_CLEAN_TARGETS:-recursive=) tags TAGS ctags CTAGS \
72        distdir dist dist-all distcheck
73ETAGS = etags
74CTAGS = ctags
75DIST_SUBDIRS = $(SUBDIRS)
76DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
77distdir = $(PACKAGE)-$(VERSION)
78top_distdir = $(distdir)
79am__remove_distdir = \
80  if test -d "$(distdir)"; then \
81    find "$(distdir)" -type d ! -perm -200 -exec chmod u+w {} ';' \
82      && rm -rf "$(distdir)" \
83      || { sleep 5 && rm -rf "$(distdir)"; }; \
84  else :; fi
85am__relativize = \
86  dir0=`pwd`; \
87  sed_first='s,^\([^/]*\)/.*$$,\1,'; \
88  sed_rest='s,^[^/]*/*,,'; \
89  sed_last='s,^.*/\([^/]*\)$$,\1,'; \
90  sed_butlast='s,/*[^/]*$$,,'; \
91  while test -n "$$dir1"; do \
92    first=`echo "$$dir1" | sed -e "$$sed_first"`; \
93    if test "$$first" != "."; then \
94      if test "$$first" = ".."; then \
95        dir2=`echo "$$dir0" | sed -e "$$sed_last"`/"$$dir2"; \
96        dir0=`echo "$$dir0" | sed -e "$$sed_butlast"`; \
97      else \
98        first2=`echo "$$dir2" | sed -e "$$sed_first"`; \
99        if test "$$first2" = "$$first"; then \
100          dir2=`echo "$$dir2" | sed -e "$$sed_rest"`; \
101        else \
102          dir2="../$$dir2"; \
103        fi; \
104        dir0="$$dir0"/"$$first"; \
105      fi; \
106    fi; \
107    dir1=`echo "$$dir1" | sed -e "$$sed_rest"`; \
108  done; \
109  reldir="$$dir2"
110DIST_ARCHIVES = $(distdir).tar.gz
111GZIP_ENV = --best
112distuninstallcheck_listfiles = find . -type f -print
113am__distuninstallcheck_listfiles = $(distuninstallcheck_listfiles) \
114  | sed 's|^\./|$(prefix)/|' | grep -v '$(infodir)/dir$$'
115distcleancheck_listfiles = find . -type f -print
116ACLOCAL = @ACLOCAL@
117ALLOCA = @ALLOCA@
118AMTAR = @AMTAR@
119AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
120AUTOCONF = @AUTOCONF@
121AUTOHEADER = @AUTOHEADER@
122AUTOMAKE = @AUTOMAKE@
123AWK = @AWK@
124BACKEND_CC = @BACKEND_CC@               # C compiler used to compile Cforall programs, versus C++ compiler used to build cfa command
125CC = @CC@
126CCAS = @CCAS@
127CCASDEPMODE = @CCASDEPMODE@
128CCASFLAGS = @CCASFLAGS@
129CCDEPMODE = @CCDEPMODE@
130CFA_BACKEND_CC = @CFA_BACKEND_CC@
131CFA_BINDIR = @CFA_BINDIR@
132CFA_FLAGS = @CFA_FLAGS@
133CFA_INCDIR = @CFA_INCDIR@
134CFA_LIBDIR = @CFA_LIBDIR@
135CFA_PREFIX = @CFA_PREFIX@
136CFLAGS = @CFLAGS@
137CPP = @CPP@
138CPPFLAGS = @CPPFLAGS@
139CXX = @CXX@
140CXXDEPMODE = @CXXDEPMODE@
141CXXFLAGS = @CXXFLAGS@
142CYGPATH_W = @CYGPATH_W@
143DEFS = @DEFS@
144DEPDIR = @DEPDIR@
145ECHO_C = @ECHO_C@
146ECHO_N = @ECHO_N@
147ECHO_T = @ECHO_T@
148EGREP = @EGREP@
149EXEEXT = @EXEEXT@
150GREP = @GREP@
151INSTALL = @INSTALL@
152INSTALL_DATA = @INSTALL_DATA@
153INSTALL_PROGRAM = @INSTALL_PROGRAM@
154INSTALL_SCRIPT = @INSTALL_SCRIPT@
155INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
156LDFLAGS = @LDFLAGS@
157LEX = @LEX@
158LEXLIB = @LEXLIB@
159LEX_OUTPUT_ROOT = @LEX_OUTPUT_ROOT@
160LIBOBJS = @LIBOBJS@
161LIBS = @LIBS@
162LTLIBOBJS = @LTLIBOBJS@
163MAINT = @MAINT@
164MAKEINFO = @MAKEINFO@
165MKDIR_P = @MKDIR_P@
166OBJEXT = @OBJEXT@
167PACKAGE = @PACKAGE@
168PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
169PACKAGE_NAME = @PACKAGE_NAME@
170PACKAGE_STRING = @PACKAGE_STRING@
171PACKAGE_TARNAME = @PACKAGE_TARNAME@
172PACKAGE_URL = @PACKAGE_URL@
173PACKAGE_VERSION = @PACKAGE_VERSION@
174PATH_SEPARATOR = @PATH_SEPARATOR@
175RANLIB = @RANLIB@
176SET_MAKE = @SET_MAKE@
177SHELL = @SHELL@
178STRIP = @STRIP@
179VERSION = @VERSION@
180YACC = @YACC@
181YFLAGS = @YFLAGS@
182abs_builddir = @abs_builddir@
183abs_srcdir = @abs_srcdir@
184abs_top_builddir = @abs_top_builddir@
185abs_top_srcdir = @abs_top_srcdir@
186ac_ct_CC = @ac_ct_CC@
187ac_ct_CXX = @ac_ct_CXX@
188am__include = @am__include@
189am__leading_dot = @am__leading_dot@
190am__quote = @am__quote@
191am__tar = @am__tar@
192am__untar = @am__untar@
193bindir = @bindir@
194build_alias = @build_alias@
195builddir = @builddir@
196datadir = @datadir@
197datarootdir = @datarootdir@
198docdir = @docdir@
199dvidir = @dvidir@
200exec_prefix = @exec_prefix@
201host_alias = @host_alias@
202htmldir = @htmldir@
203includedir = @includedir@
204infodir = @infodir@
205install_sh = @install_sh@
206libdir = @libdir@
207libexecdir = @libexecdir@
208localedir = @localedir@
209localstatedir = @localstatedir@
210mandir = @mandir@
211mkdir_p = @mkdir_p@
212oldincludedir = @oldincludedir@
213pdfdir = @pdfdir@
214prefix = @prefix@
215program_transform_name = @program_transform_name@
216psdir = @psdir@
217sbindir = @sbindir@
218sharedstatedir = @sharedstatedir@
219srcdir = @srcdir@
220sysconfdir = @sysconfdir@
221target_alias = @target_alias@
222top_build_prefix = @top_build_prefix@
223top_builddir = @top_builddir@
224top_srcdir = @top_srcdir@
225AUTOMAKE_OPTIONS = foreign              # do not require all the GNU file names
226SUBDIRS = src/driver src src/libcfa     # order important, src before libcfa because cfa-cpp used to build prelude
227EXTRA_DIST = Docs                       # non-source files
228MAINTAINERCLEANFILES = lib/* bin/* src/examples/.deps/* src/tests/.deps/* src/tests/.out/*
229all: config.h
230        $(MAKE) $(AM_MAKEFLAGS) all-recursive
231
232.SUFFIXES:
233am--refresh: Makefile
234        @:
235$(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am  $(am__configure_deps)
236        @for dep in $?; do \
237          case '$(am__configure_deps)' in \
238            *$$dep*) \
239              echo ' cd $(srcdir) && $(AUTOMAKE) --foreign'; \
240              $(am__cd) $(srcdir) && $(AUTOMAKE) --foreign \
241                && exit 0; \
242              exit 1;; \
243          esac; \
244        done; \
245        echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign Makefile'; \
246        $(am__cd) $(top_srcdir) && \
247          $(AUTOMAKE) --foreign Makefile
248.PRECIOUS: Makefile
249Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
250        @case '$?' in \
251          *config.status*) \
252            echo ' $(SHELL) ./config.status'; \
253            $(SHELL) ./config.status;; \
254          *) \
255            echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)'; \
256            cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe);; \
257        esac;
258
259$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
260        $(SHELL) ./config.status --recheck
261
262$(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
263        $(am__cd) $(srcdir) && $(AUTOCONF)
264$(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
265        $(am__cd) $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
266$(am__aclocal_m4_deps):
267
268config.h: stamp-h1
269        @if test ! -f $@; then rm -f stamp-h1; else :; fi
270        @if test ! -f $@; then $(MAKE) $(AM_MAKEFLAGS) stamp-h1; else :; fi
271
272stamp-h1: $(srcdir)/config.h.in $(top_builddir)/config.status
273        @rm -f stamp-h1
274        cd $(top_builddir) && $(SHELL) ./config.status config.h
275$(srcdir)/config.h.in: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
276        ($(am__cd) $(top_srcdir) && $(AUTOHEADER))
277        rm -f stamp-h1
278        touch $@
279
280distclean-hdr:
281        -rm -f config.h stamp-h1
282
283# This directory's subdirectories are mostly independent; you can cd
284# into them and run `make' without going through this Makefile.
285# To change the values of `make' variables: instead of editing Makefiles,
286# (1) if the variable is set in `config.status', edit `config.status'
287#     (which will cause the Makefiles to be regenerated when you run `make');
288# (2) otherwise, pass the desired values on the `make' command line.
289$(RECURSIVE_TARGETS):
290        @fail= failcom='exit 1'; \
291        for f in x $$MAKEFLAGS; do \
292          case $$f in \
293            *=* | --[!k]*);; \
294            *k*) failcom='fail=yes';; \
295          esac; \
296        done; \
297        dot_seen=no; \
298        target=`echo $@ | sed s/-recursive//`; \
299        list='$(SUBDIRS)'; for subdir in $$list; do \
300          echo "Making $$target in $$subdir"; \
301          if test "$$subdir" = "."; then \
302            dot_seen=yes; \
303            local_target="$$target-am"; \
304          else \
305            local_target="$$target"; \
306          fi; \
307          ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
308          || eval $$failcom; \
309        done; \
310        if test "$$dot_seen" = "no"; then \
311          $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
312        fi; test -z "$$fail"
313
314$(RECURSIVE_CLEAN_TARGETS):
315        @fail= failcom='exit 1'; \
316        for f in x $$MAKEFLAGS; do \
317          case $$f in \
318            *=* | --[!k]*);; \
319            *k*) failcom='fail=yes';; \
320          esac; \
321        done; \
322        dot_seen=no; \
323        case "$@" in \
324          distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
325          *) list='$(SUBDIRS)' ;; \
326        esac; \
327        rev=''; for subdir in $$list; do \
328          if test "$$subdir" = "."; then :; else \
329            rev="$$subdir $$rev"; \
330          fi; \
331        done; \
332        rev="$$rev ."; \
333        target=`echo $@ | sed s/-recursive//`; \
334        for subdir in $$rev; do \
335          echo "Making $$target in $$subdir"; \
336          if test "$$subdir" = "."; then \
337            local_target="$$target-am"; \
338          else \
339            local_target="$$target"; \
340          fi; \
341          ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
342          || eval $$failcom; \
343        done && test -z "$$fail"
344tags-recursive:
345        list='$(SUBDIRS)'; for subdir in $$list; do \
346          test "$$subdir" = . || ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) tags); \
347        done
348ctags-recursive:
349        list='$(SUBDIRS)'; for subdir in $$list; do \
350          test "$$subdir" = . || ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) ctags); \
351        done
352
353ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
354        list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
355        unique=`for i in $$list; do \
356            if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
357          done | \
358          $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
359              END { if (nonempty) { for (i in files) print i; }; }'`; \
360        mkid -fID $$unique
361tags: TAGS
362
363TAGS: tags-recursive $(HEADERS) $(SOURCES) config.h.in $(TAGS_DEPENDENCIES) \
364                $(TAGS_FILES) $(LISP)
365        set x; \
366        here=`pwd`; \
367        if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \
368          include_option=--etags-include; \
369          empty_fix=.; \
370        else \
371          include_option=--include; \
372          empty_fix=; \
373        fi; \
374        list='$(SUBDIRS)'; for subdir in $$list; do \
375          if test "$$subdir" = .; then :; else \
376            test ! -f $$subdir/TAGS || \
377              set "$$@" "$$include_option=$$here/$$subdir/TAGS"; \
378          fi; \
379        done; \
380        list='$(SOURCES) $(HEADERS) config.h.in $(LISP) $(TAGS_FILES)'; \
381        unique=`for i in $$list; do \
382            if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
383          done | \
384          $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
385              END { if (nonempty) { for (i in files) print i; }; }'`; \
386        shift; \
387        if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
388          test -n "$$unique" || unique=$$empty_fix; \
389          if test $$# -gt 0; then \
390            $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
391              "$$@" $$unique; \
392          else \
393            $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
394              $$unique; \
395          fi; \
396        fi
397ctags: CTAGS
398CTAGS: ctags-recursive $(HEADERS) $(SOURCES) config.h.in $(TAGS_DEPENDENCIES) \
399                $(TAGS_FILES) $(LISP)
400        list='$(SOURCES) $(HEADERS) config.h.in $(LISP) $(TAGS_FILES)'; \
401        unique=`for i in $$list; do \
402            if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
403          done | \
404          $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
405              END { if (nonempty) { for (i in files) print i; }; }'`; \
406        test -z "$(CTAGS_ARGS)$$unique" \
407          || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
408             $$unique
409
410GTAGS:
411        here=`$(am__cd) $(top_builddir) && pwd` \
412          && $(am__cd) $(top_srcdir) \
413          && gtags -i $(GTAGS_ARGS) "$$here"
414
415distclean-tags:
416        -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
417
418distdir: $(DISTFILES)
419        $(am__remove_distdir)
420        test -d "$(distdir)" || mkdir "$(distdir)"
421        @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
422        topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
423        list='$(DISTFILES)'; \
424          dist_files=`for file in $$list; do echo $$file; done | \
425          sed -e "s|^$$srcdirstrip/||;t" \
426              -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
427        case $$dist_files in \
428          */*) $(MKDIR_P) `echo "$$dist_files" | \
429                           sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
430                           sort -u` ;; \
431        esac; \
432        for file in $$dist_files; do \
433          if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
434          if test -d $$d/$$file; then \
435            dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
436            if test -d "$(distdir)/$$file"; then \
437              find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
438            fi; \
439            if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
440              cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
441              find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
442            fi; \
443            cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
444          else \
445            test -f "$(distdir)/$$file" \
446            || cp -p $$d/$$file "$(distdir)/$$file" \
447            || exit 1; \
448          fi; \
449        done
450        @list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
451          if test "$$subdir" = .; then :; else \
452            test -d "$(distdir)/$$subdir" \
453            || $(MKDIR_P) "$(distdir)/$$subdir" \
454            || exit 1; \
455          fi; \
456        done
457        @list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
458          if test "$$subdir" = .; then :; else \
459            dir1=$$subdir; dir2="$(distdir)/$$subdir"; \
460            $(am__relativize); \
461            new_distdir=$$reldir; \
462            dir1=$$subdir; dir2="$(top_distdir)"; \
463            $(am__relativize); \
464            new_top_distdir=$$reldir; \
465            echo " (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) top_distdir="$$new_top_distdir" distdir="$$new_distdir" \\"; \
466            echo "     am__remove_distdir=: am__skip_length_check=: am__skip_mode_fix=: distdir)"; \
467            ($(am__cd) $$subdir && \
468              $(MAKE) $(AM_MAKEFLAGS) \
469                top_distdir="$$new_top_distdir" \
470                distdir="$$new_distdir" \
471                am__remove_distdir=: \
472                am__skip_length_check=: \
473                am__skip_mode_fix=: \
474                distdir) \
475              || exit 1; \
476          fi; \
477        done
478        -test -n "$(am__skip_mode_fix)" \
479        || find "$(distdir)" -type d ! -perm -755 \
480                -exec chmod u+rwx,go+rx {} \; -o \
481          ! -type d ! -perm -444 -links 1 -exec chmod a+r {} \; -o \
482          ! -type d ! -perm -400 -exec chmod a+r {} \; -o \
483          ! -type d ! -perm -444 -exec $(install_sh) -c -m a+r {} {} \; \
484        || chmod -R a+r "$(distdir)"
485dist-gzip: distdir
486        tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
487        $(am__remove_distdir)
488
489dist-bzip2: distdir
490        tardir=$(distdir) && $(am__tar) | BZIP2=$${BZIP2--9} bzip2 -c >$(distdir).tar.bz2
491        $(am__remove_distdir)
492
493dist-lzip: distdir
494        tardir=$(distdir) && $(am__tar) | lzip -c $${LZIP_OPT--9} >$(distdir).tar.lz
495        $(am__remove_distdir)
496
497dist-lzma: distdir
498        tardir=$(distdir) && $(am__tar) | lzma -9 -c >$(distdir).tar.lzma
499        $(am__remove_distdir)
500
501dist-xz: distdir
502        tardir=$(distdir) && $(am__tar) | XZ_OPT=$${XZ_OPT--e} xz -c >$(distdir).tar.xz
503        $(am__remove_distdir)
504
505dist-tarZ: distdir
506        tardir=$(distdir) && $(am__tar) | compress -c >$(distdir).tar.Z
507        $(am__remove_distdir)
508
509dist-shar: distdir
510        shar $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).shar.gz
511        $(am__remove_distdir)
512
513dist-zip: distdir
514        -rm -f $(distdir).zip
515        zip -rq $(distdir).zip $(distdir)
516        $(am__remove_distdir)
517
518dist dist-all: distdir
519        tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
520        $(am__remove_distdir)
521
522# This target untars the dist file and tries a VPATH configuration.  Then
523# it guarantees that the distribution is self-contained by making another
524# tarfile.
525distcheck: dist
526        case '$(DIST_ARCHIVES)' in \
527        *.tar.gz*) \
528          GZIP=$(GZIP_ENV) gzip -dc $(distdir).tar.gz | $(am__untar) ;;\
529        *.tar.bz2*) \
530          bzip2 -dc $(distdir).tar.bz2 | $(am__untar) ;;\
531        *.tar.lzma*) \
532          lzma -dc $(distdir).tar.lzma | $(am__untar) ;;\
533        *.tar.lz*) \
534          lzip -dc $(distdir).tar.lz | $(am__untar) ;;\
535        *.tar.xz*) \
536          xz -dc $(distdir).tar.xz | $(am__untar) ;;\
537        *.tar.Z*) \
538          uncompress -c $(distdir).tar.Z | $(am__untar) ;;\
539        *.shar.gz*) \
540          GZIP=$(GZIP_ENV) gzip -dc $(distdir).shar.gz | unshar ;;\
541        *.zip*) \
542          unzip $(distdir).zip ;;\
543        esac
544        chmod -R a-w $(distdir); chmod a+w $(distdir)
545        mkdir $(distdir)/_build
546        mkdir $(distdir)/_inst
547        chmod a-w $(distdir)
548        test -d $(distdir)/_build || exit 0; \
549        dc_install_base=`$(am__cd) $(distdir)/_inst && pwd | sed -e 's,^[^:\\/]:[\\/],/,'` \
550          && dc_destdir="$${TMPDIR-/tmp}/am-dc-$$$$/" \
551          && am__cwd=`pwd` \
552          && $(am__cd) $(distdir)/_build \
553          && ../configure --srcdir=.. --prefix="$$dc_install_base" \
554            $(AM_DISTCHECK_CONFIGURE_FLAGS) \
555            $(DISTCHECK_CONFIGURE_FLAGS) \
556          && $(MAKE) $(AM_MAKEFLAGS) \
557          && $(MAKE) $(AM_MAKEFLAGS) dvi \
558          && $(MAKE) $(AM_MAKEFLAGS) check \
559          && $(MAKE) $(AM_MAKEFLAGS) install \
560          && $(MAKE) $(AM_MAKEFLAGS) installcheck \
561          && $(MAKE) $(AM_MAKEFLAGS) uninstall \
562          && $(MAKE) $(AM_MAKEFLAGS) distuninstallcheck_dir="$$dc_install_base" \
563                distuninstallcheck \
564          && chmod -R a-w "$$dc_install_base" \
565          && ({ \
566               (cd ../.. && umask 077 && mkdir "$$dc_destdir") \
567               && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" install \
568               && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" uninstall \
569               && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" \
570                    distuninstallcheck_dir="$$dc_destdir" distuninstallcheck; \
571              } || { rm -rf "$$dc_destdir"; exit 1; }) \
572          && rm -rf "$$dc_destdir" \
573          && $(MAKE) $(AM_MAKEFLAGS) dist \
574          && rm -rf $(DIST_ARCHIVES) \
575          && $(MAKE) $(AM_MAKEFLAGS) distcleancheck \
576          && cd "$$am__cwd" \
577          || exit 1
578        $(am__remove_distdir)
579        @(echo "$(distdir) archives ready for distribution: "; \
580          list='$(DIST_ARCHIVES)'; for i in $$list; do echo $$i; done) | \
581          sed -e 1h -e 1s/./=/g -e 1p -e 1x -e '$$p' -e '$$x'
582distuninstallcheck:
583        @test -n '$(distuninstallcheck_dir)' || { \
584          echo 'ERROR: trying to run $@ with an empty' \
585               '$$(distuninstallcheck_dir)' >&2; \
586          exit 1; \
587        }; \
588        $(am__cd) '$(distuninstallcheck_dir)' || { \
589          echo 'ERROR: cannot chdir into $(distuninstallcheck_dir)' >&2; \
590          exit 1; \
591        }; \
592        test `$(am__distuninstallcheck_listfiles) | wc -l` -eq 0 \
593           || { echo "ERROR: files left after uninstall:" ; \
594                if test -n "$(DESTDIR)"; then \
595                  echo "  (check DESTDIR support)"; \
596                fi ; \
597                $(distuninstallcheck_listfiles) ; \
598                exit 1; } >&2
599distcleancheck: distclean
600        @if test '$(srcdir)' = . ; then \
601          echo "ERROR: distcleancheck can only run from a VPATH build" ; \
602          exit 1 ; \
603        fi
604        @test `$(distcleancheck_listfiles) | wc -l` -eq 0 \
605          || { echo "ERROR: files left in build directory after distclean:" ; \
606               $(distcleancheck_listfiles) ; \
607               exit 1; } >&2
608check-am: all-am
609check: check-recursive
610all-am: Makefile config.h
611installdirs: installdirs-recursive
612installdirs-am:
613install: install-recursive
614install-exec: install-exec-recursive
615install-data: install-data-recursive
616uninstall: uninstall-recursive
617
618install-am: all-am
619        @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
620
621installcheck: installcheck-recursive
622install-strip:
623        if test -z '$(STRIP)'; then \
624          $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
625            install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
626              install; \
627        else \
628          $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
629            install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
630            "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
631        fi
632mostlyclean-generic:
633
634clean-generic:
635
636distclean-generic:
637        -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
638        -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
639
640maintainer-clean-generic:
641        @echo "This command is intended for maintainers to use"
642        @echo "it deletes files that may require special tools to rebuild."
643        -test -z "$(MAINTAINERCLEANFILES)" || rm -f $(MAINTAINERCLEANFILES)
644clean: clean-recursive
645
646clean-am: clean-generic mostlyclean-am
647
648distclean: distclean-recursive
649        -rm -f $(am__CONFIG_DISTCLEAN_FILES)
650        -rm -f Makefile
651distclean-am: clean-am distclean-generic distclean-hdr distclean-tags
652
653dvi: dvi-recursive
654
655dvi-am:
656
657html: html-recursive
658
659html-am:
660
661info: info-recursive
662
663info-am:
664
665install-data-am:
666
667install-dvi: install-dvi-recursive
668
669install-dvi-am:
670
671install-exec-am:
672
673install-html: install-html-recursive
674
675install-html-am:
676
677install-info: install-info-recursive
678
679install-info-am:
680
681install-man:
682
683install-pdf: install-pdf-recursive
684
685install-pdf-am:
686
687install-ps: install-ps-recursive
688
689install-ps-am:
690
691installcheck-am:
692
693maintainer-clean: maintainer-clean-recursive
694        -rm -f $(am__CONFIG_DISTCLEAN_FILES)
695        -rm -rf $(top_srcdir)/autom4te.cache
696        -rm -f Makefile
697maintainer-clean-am: distclean-am maintainer-clean-generic
698
699mostlyclean: mostlyclean-recursive
700
701mostlyclean-am: mostlyclean-generic
702
703pdf: pdf-recursive
704
705pdf-am:
706
707ps: ps-recursive
708
709ps-am:
710
711uninstall-am:
712
713.MAKE: $(RECURSIVE_CLEAN_TARGETS) $(RECURSIVE_TARGETS) all \
714        ctags-recursive install-am install-strip tags-recursive
715
716.PHONY: $(RECURSIVE_CLEAN_TARGETS) $(RECURSIVE_TARGETS) CTAGS GTAGS \
717        all all-am am--refresh check check-am clean clean-generic \
718        ctags ctags-recursive dist dist-all dist-bzip2 dist-gzip \
719        dist-lzip dist-lzma dist-shar dist-tarZ dist-xz dist-zip \
720        distcheck distclean distclean-generic distclean-hdr \
721        distclean-tags distcleancheck distdir distuninstallcheck dvi \
722        dvi-am html html-am info info-am install install-am \
723        install-data install-data-am install-dvi install-dvi-am \
724        install-exec install-exec-am install-html install-html-am \
725        install-info install-info-am install-man install-pdf \
726        install-pdf-am install-ps install-ps-am install-strip \
727        installcheck installcheck-am installdirs installdirs-am \
728        maintainer-clean maintainer-clean-generic mostlyclean \
729        mostlyclean-generic pdf pdf-am ps ps-am tags tags-recursive \
730        uninstall uninstall-am
731
732
733# Tell versions [3.59,3.63) of GNU make to not export all variables.
734# Otherwise a system limit (for SysV at least) may be exceeded.
735.NOEXPORT:
Note: See TracBrowser for help on using the repository browser.